import { buildNotifyTrigger } from './headless-notify-trigger.js';
/**
 * Defines the `NotifyTrigger` controller for the purpose of server-side rendering.
 * @group Definers
 *
 * @returns The `NotifyTrigger` controller definition.
 */
export function defineNotifyTrigger() {
    return {
        listing: true,
        search: true,
        build: (engine) => buildNotifyTrigger(engine),
    };
}
